Subject: Re: [PATCH v2 1/1] replay: make atomic ref updates the default behavior

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Oct 2025 13:32:41 -0700

Elijah Newren <[email-masked]> writes:

>> For naming, I am thinking either:
>>    - replay.updateRefs (boolean: true = update, false = output-commands)
>>    - replay.defaultOutput (string: "update" | "commands")
>>
>> The boolean feels simpler, but the string might be more extensible if we
>> add other output modes later. Which pattern feels more consistent with
>> existing Git config conventions? Looking at rebase.* they're mostly
>> boolean toggles, but am I missing a better example to follow?
>
> replay.updateRefs sounds better to me.  defaultOutput with "update"
> doesn't make sense to me.

Yup.  Or "replay.defaultAction = (update-ref | show-comamnds)" if we
anticipate that we might have a third option someday.  That would of
course affect the choice of the command line option.